#   File:       Sessions.make
#   Target:     Sessions
#   Sources:    Appl.Event.c
#               Appl.Main.c
#               Appl.MenuCommand.c
#               Appl.Utilities.c
#               Appl.Utilities.p
#               Connection.c
#               FileTransfer.c
#               Session.c
#               SessionsHeaders.c
#               Terminal.c
#   Created:    Friday, March 8, 1991 2:29:58 AM

COptions = -sym on -r -mbg full
POptions = -sym on -mbg full
LOptions = -sym on -t APPL -c CTBS -mf -d

OBJECTS = 
		:Objects:SessionsHeaders.c.o 
		:Objects:Appl.Event.c.o 
		:Objects:Appl.Main.c.o 
		:Objects:Appl.MenuCommand.c.o 
		:Objects:Appl.Utilities.c.o 
		:Objects:Appl.Utilities.p.o 
		:Objects:Connection.c.o 
		:Objects:FileTransfer.c.o 
		:Objects:Terminal.c.o 
		:Objects:Session.c.o

Sessions  Sessions.make {OBJECTS}
	Link {LOptions} 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		#"{CLibraries}"Complex.o 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{PLibraries}"SANELib.o 
		"{PLibraries}"PasLib.o 
		-o Sessions
:Objects:Appl.Event.c.o  Appl.Event.c
	 C {COptions} Appl.Event.c -o :Objects:
:Objects:Appl.Main.c.o  Appl.Main.c
	 C {COptions} Appl.Main.c -o :Objects:
:Objects:Appl.MenuCommand.c.o  Appl.MenuCommand.c
	 C {COptions} Appl.MenuCommand.c -o :Objects:
:Objects:Appl.Utilities.c.o  Appl.Utilities.c
	 C {COptions} Appl.Utilities.c -o :Objects:
:Objects:Appl.Utilities.p.o  Appl.Utilities.p
	 Pascal {POptions} Appl.Utilities.p -o :Objects:
:Objects:Connection.c.o  Connection.c
	 C {COptions} Connection.c -o :Objects:
:Objects:FileTransfer.c.o  FileTransfer.c
	 C  {COptions} FileTransfer.c -o :Objects:
:Objects:Session.c.o  Session.c
	 C {COptions} Session.c -o :Objects:
:Objects:SessionsHeaders.c.o  SessionsHeaders.c
	 C {COptions} SessionsHeaders.c -o :Objects:
:Objects:Terminal.c.o  Terminal.c
	 C {COptions} Terminal.c -o :Objects:
Sessions  Sessions.r Sessions.rsrc
	Rez Sessions.r -append -o Sessions
Sessions  Balloons.r
	Rez Balloons.r -append -o Sessions
