/*	Rez file for balloon document "Balloons" */
/*	Created Mon, Apr 1, 1991 at 5:45 PM */

#include "Types.r"
#include "BalloonTypes.r"

resource 'hmnu' (257,"System Modal Dialog") {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,


	HMStringResItem {		/* Default items */
		0, 0, 
		kHMHelpID, 31,
		0, 0, 
		0, 0, 
	},
	{
		HMStringResItem {	/* Menu Title */
			0, 0, 
			kHMHelpID, 32,
			0, 0, 
			0, 0, 
		},
	}
};

resource 'hmnu' (256,"Modal Dialog") {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,


	HMStringItem {		/* Default items */
		"",
		"This item is not available because it cannot be used with the about box on your screen.",
		"",
		"",
	},
	{
		HMStringItem {	/* Menu Title */
			"",
			"This menu is not available because it cannot be used with the about box on your screen.",
			"",
			"",
		},
	}
};

resource 'hmnu' (128,"Apple") {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,

	HMSkipItem {
	},
	{
		HMSkipItem {
		},
		HMPictItem {
			128, 0, 0, 0,
		},
	}
};

/* IM VI says not to use the words enable and disable in balloons */

resource 'hmnu' (129,"File") {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,

	HMSkipItem {
	},
	{

		HMStringItem {		/* Menu Title */
			"This menu contains document handling items.", /* great help, huh! */
			"",
			"",
			"",
		},
		HMStringItem {		/* item 1:New */
			"Creates a new Session window based on the Preferred settings.",
			"There are no more Session windows available to use. Close an existing Session to enable this item.",
			"",
			"",
		},
		HMStringItem {		/* item 2:Open */
			"Creates a new Session  window based on the settings in the Document File you choose.",
			"There are no more Session windows available to use. Close an existing Session to enable this item.",
			"",
			"",
		},
		HMStringItem {		/* item 3:Close */
			"Closes the front most Session window, and it's communications services.",
			"No Sessions are active at this time. Create a Session to enable this item.",
			"",
			"",
		},
		HMStringItem {		/* item 4:Save */
			"Saves the front most Session configuration to it's document file.",
			"There are no active Sessions, or the front most Session window does not belong to a document file. Select \"New\", \"Open\", or \"SaveAs\" to enable this item.",
			"",
			"",
		},
		HMStringItem {		/* item 5:Save As */
			"Saves the front most Session configuration to the document file you choose.",
			"No Sessions are active at this time. Select \"New\" or\"Open\" to enable this item.",
			"",
			"",
		},
		HMSkipItem {		/* item 6: menu item seperator */
		},
		HMStringItem {		/* item 7:Page Setup */
			"Allows you to select Printing options.",
			"Printing is not supported at this time.",
			"",
			"",
		},
		HMStringItem {		/* item 8:Print */
			"Prints the front most Session.",
			"Printing is not supported at this time.",
			"",
			"",
		},
		HMSkipItem {		/* item 9: menu item seperator */
		},
		HMStringItem {		/* item 10:Save As Preferred */
			"Makes the front most Session configuration the Preferred configuration.",
			"No Sessions are active at this time. Select \"New\" or\"Open\"  to enable this item.",
			"",
			"",
		},
		HMSkipItem {		/* item 11: menu item seperator */
		},
		HMStringItem {		/* item 12:Quit */
			"Closes all active Sessions and quits the Sessions program.",
			"",
			"",
			"",
		}
	}
};

resource 'hmnu' (130,"Edit") {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,

	HMSkipItem {
	},
	{

		HMStringItem {		/* Menu Title */
			"This menu contains edit handling items.",
			"",
			"",
			"",
		},
	}
};

resource 'hmnu' (131,"Sessions") {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,

	HMSkipItem {
	},
	{

		HMStringItem {		/* Menu Title */
			"This menu contains Session handling items.",
			"",
			"",
			"",
		},
	}
};

resource 'hmnu' (132,"Settings") {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,

	HMSkipItem {
	},
	{

		HMStringItem {		/* Menu Title */
			"This menu contains configuration handling items.",
			"",
			"",
			"",
		},
	}
};

